Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.dialogs
Class AbstractModalDialogFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.dialogs.AbstractModalDialogFactory

All Implemented Interfaces:
  ModalDialogFactory

Direct Known Subclasses:
  DefaultModalDialogFactory

    public abstract class AbstractModalDialogFactory

extends Object
implements ModalDialogFactory

Author:
  Holger Knublauch

Nested Class Summary

Nested classes/interfaces inherited from interface edu.stanford.smi.protegex.owl.ui.dialogs.ModalDialogFactory
`ModalDialogFactory.CloseCallback`

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.dialogs.ModalDialogFactory
`MODE_CLOSE, MODE_OK_CANCEL, MODE_YES_NO, MODE_YES_NO_CANCEL, OPTION_CANCEL, OPTION_CLOSE, OPTION_NO, OPTION_OK, OPTION_YES, RESULT_ERROR`

Constructor Summary
`AbstractModalDialogFactory()`

Method Summary
`int` | `showDialog(Component parent, Component panel, String title, int mode)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, Component componentToFocus)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialogFactory.CloseCallback callback)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialogFactory.CloseCallback callback, boolean enableCloseButton)`
`void` | `showErrorMessageDialog(Component parent, String message)`
`void` | `showErrorMessageDialog(OWLModel owlModel, String message)`
`void` | `showMessageDialog(Component parent, String message)`
`void` | `showMessageDialog(OWLModel owlModel, String message)`
`void` | `showThrowable(OWLModel owlModel, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.dialogs.ModalDialogFactory
`attemptDialogClose, showConfirmCancelDialog, showConfirmCancelDialog, showConfirmDialog, showConfirmDialog, showDialog, showErrorMessageDialog, showErrorMessageDialog, showInputDialog, showInputDialog, showMessageDialog, showMessageDialog`

Constructor Detail

### AbstractModalDialogFactory

    public AbstractModalDialogFactory()

Method Detail

### showDialog

    public int showDialog(Component parent,
                          Component panel,
                          String title,
                          int mode)

  Specified by:
    `showDialog` in interface `ModalDialogFactory`

### showDialog

    public int showDialog(Component parent,
                          Component panel,
                          String title,
                          int mode,
                          ModalDialogFactory.CloseCallback callback)

  Specified by:
    `showDialog` in interface `ModalDialogFactory`

### showDialog

    public int showDialog(Component parent,
                          Component panel,
                          String title,
                          int mode,
                          ModalDialogFactory.CloseCallback callback,
                          boolean enableCloseButton)

  Specified by:
    `showDialog` in interface `ModalDialogFactory`

### showDialog

    public int showDialog(Component parent,
                          Component panel,
                          String title,
                          int mode,
                          Component componentToFocus)

  Specified by:
    `showDialog` in interface `ModalDialogFactory`

### showErrorMessageDialog

    public void showErrorMessageDialog(OWLModel owlModel,
                                       String message)

  Specified by:
    `showErrorMessageDialog` in interface `ModalDialogFactory`

### showErrorMessageDialog

    public void showErrorMessageDialog(Component parent,
                                       String message)

  Specified by:
    `showErrorMessageDialog` in interface `ModalDialogFactory`

### showMessageDialog

    public void showMessageDialog(OWLModel owlModel,
                                  String message)

  Specified by:
    `showMessageDialog` in interface `ModalDialogFactory`

### showMessageDialog

    public void showMessageDialog(Component parent,
                                  String message)

  Specified by:
    `showMessageDialog` in interface `ModalDialogFactory`

### showThrowable

    public void showThrowable(OWLModel owlModel,
                              Throwable t)

  Specified by:
    `showThrowable` in interface `ModalDialogFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.